# datafiles must have DOS-style EOL
%define dont_fix_eol	1

Name:		cuneiform
Summary:	A command-line OCR system
Version:	1.1.0
Release:	%mkrel 2
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	http://launchpad.net/cuneiform-linux/1.1/1.1/+download/%{name}-linux-%{version}.tar.xz
Patch0:		cuneiform-size4to5.patch
Patch1:		cuneiform-linux-1.1.0-gcc7.patch
Patch2:		cuneiform-build-fix.patch
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	cmake

%description
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package devel
Summary:	Cuneiform development files
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(ImageMagick++)

%description devel
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

This package contains files required only for development purpose.

%prep
%setup -qn %{name}-linux-%{version}
#%patch0 -p1
#%patch1 -p1
%patch2 -p1

# build fix from NixOS
rm -f cuneiform_src/Kern/hhh/tigerh/h/strings.h

%build
%cmake -DCMAKE_BUILD_TYPE=relwithdebinfo
%make

%install
cp original\ russian\ readme.rtf original_russian_readme.rtf
cd build
%makeinstall_std

%files
# cuneiform_src/Kern/license.txt is in Russian
%doc issues.txt original_russian_readme.rtf readme.txt cuneiform_src/Kern/license.txt
%{_bindir}/cuneiform
%{_datadir}/cuneiform/*.dat
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/cuneiform.h


%changelog
* Sun Oct 21 2018 adrianomorselli <adrianomorselli> 1.1.0-2uplos2018
- imported for uplos
